
Name:    ktp-desktop-applets
Summary: KDE Telepathy desktop applets
Version: 0.9.0
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/extragear/network/telepathy/%{name}
Source0: http://download.kde.org/stable/kde-telepathy/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: kde-workspace-devel
BuildRequires: telepathy-qt4-devel
BuildRequires: ktp-common-internals-devel >= %{version}

Obsoletes: telepathy-kde-presence-applet < 0.3.0
Provides:  telepathy-kde-presence-applet = %{version}-%{release}

# not sure where best to put this other than here -- rex
Obsoletes: telepathy-kde-presence-dataengine < 0.3.0
Provides:  telepathy-kde-presence-dataengine = %{version}-%{release}

Obsoletes: ktp-contact-applet < 0.5.80
Obsoletes: ktp-presence-applet < 0.5.80
Provides: ktp-contact-applet = %{version}-%{release}
Provides: ktp-presence-applet = %{version}-%{release}

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
KDE Telepathy desktop applets, including:
* contacts
* presence


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-kde


%files -f %{name}.lang
%doc COPYING
%{_kde4_libdir}/kde4/plasma_applet_ktp_contact.so
%{_kde4_libdir}/kde4/plasma_applet_ktp_presence.so
%{_kde4_appsdir}/plasma/plasmoids/org.kde.ktp-contact/
%{_kde4_appsdir}/plasma-desktop/updates/50-renameKTpApplets.js
%{_kde4_appsdir}/plasma/plasmoids/org.kde.ktp-chat/
%{_kde4_appsdir}/plasma/plasmoids/org.kde.ktp-contactlist/
%{_kde4_datadir}/kde4/services/plasma-applet-ktp-chat.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-ktp-contact.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-ktp-contactlist.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-ktp-presence.desktop


%changelog
* Mon Oct 20 2014 Jan Grulich <jgrulich@redhat.com> - 0.9.0-1
- Update to 0.9.0

* Wed Sep 17 2014 Jan Grulich <jgrulich@redhat.com> - 0.8.80-1
- Update to 0.8.80 (beta)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Jan Grulich <jgrulich@redhat.com> 0.8.1-1
- 0.8.1

* Wed Mar 12 2014 Jan  Grulich <jgrulich@redhat.com> 0.8.0-1
- 0.8.0

* Wed Feb 26 2014 Jan Grulich <jgrulich@redhat.com> - 0.7.80-1
- 0.7.80

* Wed Jan 15 2014 Jan Grulich <jgrulich@redhat.com> 0.7.1-1
- 0.7.1

* Tue Oct 29 2013 Jan Grulich <jgrulich@redhat.com> - 0.7.0-1
- 0.7.0

* Wed Sep 25 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.6.80-1
- 0.6.80

* Tue Aug 06 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.6.3-1
- 0.6.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 20 2013 Jan Grulich <jgrulich@redhat.com> 0.6.2-1
- 0.6.2

* Wed Apr 17 2013 Jan Grulich <jgrulich@redhat.com> - 0.6.1-1
- 0.6.1

* Tue Apr 02 2013 Jan Grulich <jgrulich@redhat.com> - 0.6.0-1
- 0.6.0

* Thu Mar 07 2013 Rex Dieter <rdieter@fedoraproject.org> 0.5.80-1
- ktp-desktop-applets-0.5.80

